Compatibility with Microsoft Edge

  • 1
  • Problem
  • Updated 2 months ago
  • Solved
We have a lot of team members who use PCs with the most recent browser, Microsoft Edge. This browser was released almost four years ago so it is odd that Replicon is not compatible with it yet. An update from the development team about when our team can expect be able to use Replicon with the Microsoft Edge browser would be great!

It looks like no one has posted about this in at least 3 years, so I thought would post again to bring it back to the developing team's attention. 
Photo of Sanguinetti, Silvia

Sanguinetti, Silvia

  • 1 Post
  • 0 Reply Likes
  • frustrated

Posted 1 year ago

  • 1
Photo of Akbar Ali Khan

Akbar Ali Khan, Official Rep

  • 185 Posts
  • 5 Reply Likes
Hi Silvia,

The link mentioned below contains a list of all the supported browsers, Unfortunately edge browser is not supported just yet, I will have this forwarded to the product management team and we will update the thread in case of any progress on the same.

Link : https://www.replicon.com/help/replicon-system-requirements/
Photo of Charlene Eriksen

Charlene Eriksen, Product Manager

  • 442 Posts
  • 43 Reply Likes
Just wanted to update that we are now supporting the latest version of Edge.

Thank you for your patience on this.

Charlene